Grand Master Tronix:
The iron heart is only given to those who pass the Test of the Assassin. Triskel is in charge of that test. He is a great Dark Elf, who has been an Assassin himself for a long time. He is always near the Dark Elven Guild in the town of Gludio, so you will easily find him once you get there.
The town of Gludio is northwest of here. Just follow the path. Or use a Gatekeeper if you want to go the easy way. The Dark Elven Guild is in the northeast part of the village.
Return